godo.AgentPlatform.CreateEvaluationDataset()

Generated on 5 Nov 2026 from godo version v1.236.0

Usage

client.AgentPlatform.CreateEvaluationDataset(ctx context.Context, createRequest *godo.CreateEvaluationDatasetRequest) (*godo.CreateEvaluationDatasetResponse, *godo.Response, error)

Description

CreateEvaluationDataset registers an evaluation dataset from a file that was previously uploaded via CreateModelEvalDatasetUploadPresignedURLs.

This method sends a POST request to /v2/gen-ai/evaluation_datasets.

Parameters

createRequest *godo.CreateEvaluationDatasetRequest required

Fields of godo.CreateEvaluationDatasetRequest

CreateEvaluationDatasetRequest is the request body for creating an evaluation dataset from a previously uploaded file.

Name string

Omitted from JSON when empty. JSON key: name

DatasetType godo.EvaluationDatasetType

Omitted from JSON when empty. JSON key: dataset_type

DatasetParadigm godo.EvaluationDatasetParadigm

Omitted from JSON when empty. JSON key: dataset_paradigm

FileUploadDataset *godo.FileUploadDataSource

Omitted from JSON when empty. JSON key: file_upload_dataset

Returns

*godo.CreateEvaluationDatasetResponse
*godo.Response

The HTTP response, with pagination Links, Meta, and Rate limit information.

error

Non-nil when the request fails. API errors are returned as *godo.ErrorResponse.

Fields of godo.CreateEvaluationDatasetResponse

CreateEvaluationDatasetResponse is the response returned by CreateEvaluationDataset.

EvaluationDatasetUUID string

Omitted from JSON when empty. JSON key: evaluation_dataset_uuid

Request Sample

Show Request Sample
package main

import (
	"context"
	"fmt"
	"log"
	"os"

	"github.com/digitalocean/godo"
)

func main() {
	client := godo.NewFromToken(os.Getenv("DIGITALOCEAN_TOKEN"))
	ctx := context.TODO()

	result, _, err := client.AgentPlatform.CreateEvaluationDataset(ctx, &godo.CreateEvaluationDatasetRequest{})
	if err != nil {
		log.Fatal(err)
	}
	fmt.Printf("%+v\n", result)
}

More Information

See POST /v2/gen-ai/evaluation_datasets in the API reference for additional detail on responses, headers, parameters, and more.

See the Go package documentation for the source of this method.

We can't find any results for your search.

Try using different keywords or simplifying your search terms.